Subject: Re: ncftp current release won't run - missing CYGREADLINE5.DLL
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Alan Dobkin <[email-masked]>, [email-masked]
Cc: Gord Wait <[email-masked]>
Date: Tue, 02 Apr 2002 15:29:59 -0500

Right.  And I actually forgot about the fact that this problem is in the FAQ
too.  I need to take some of my own advice and spend more time looking at 
the FAQ myself!

Why can't my application locate cygncurses5.dll? or cygintl.dll? or cygreadline5.dll? or ...?\
http://cygwin.com/faq/faq_4.html#SEC32

Sorry Chuck and David...

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

At 03:08 PM 4/2/2002, Alan Dobkin wrote:
>After posting this message, I finally found the explanation:
>
>http://cygwin.com/ml/cygwin/2002-02/msg00947.html
>
>Alan
>
>--On Tuesday, April 02, 2002 2:43 PM -0500 Alan Dobkin <[email-masked]>
>wrote:
>
> > In my case, I had all the required packages installed (at 
> > least according to the setup program), but somehow the actual 
> > contents of the libreadline packages never got installed on 
> > my system.  In other words, the latest libreadline4 and 5 
> > entries existed in /etc/setup/installed.db, and the files 
> > libreadline[45].lst.gz existed in /etc/setup, but the files 
> > /usr/bin/cyghistory[45].dll and /usr/bin/cygreadline[45].dll 
> > did not exist.  The only way I can imagine this happened is 
> > due to a bug (possibly fixed by now) in setup.exe, as that 
> > is the only method I've used to install cygwin packages on 
> > my system.  In any case, the solution was to reinstall them.
> > 
> > I also wrote a quick little shell script to make sure I wasn't 
> > missing any other files that were supposedly already installed.  
> > It can be summed up with the following one-liner command:
> > 
> > cd / && ls `zcat /etc/setup/*.gz | grep -v etc/postinstall` >/dev/null
> > 
> > This will print out "No such file or directory" errors for each 
> > file that is supposedly installed but doesn't actually exist.
> > 
> > Alan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/